Package org.sonatype.maven.polyglot.io

## Class ModelReaderSupport

- java.lang.Object
- - org.sonatype.maven.polyglot.io.ModelReaderSupport

- All Implemented Interfaces:
    `org.apache.maven.model.io.ModelReader`
  Direct Known Subclasses:
    `GroovyModelReader`

      public abstract class ModelReaderSupport
      extends java.lang.Object
      implements org.apache.maven.model.io.ModelReader

  Support for `ModelReader` implementations.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.model.io.ModelReader

      `INPUT_SOURCE, IS_STRICT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelReaderSupport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.maven.model.Model` | `read​(java.io.File input, java.util.Map<java.lang.String,​?> options)` |
    `org.apache.maven.model.Model` | `read​(java.io.InputStream input, java.util.Map<java.lang.String,​?> options)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.model.io.ModelReader

      `read`

- - ### Constructor Detail

    - #### ModelReaderSupport

          public ModelReaderSupport()

  - ### Method Detail

    - #### read

          public org.apache.maven.model.Model read​(java.io.File input,
                                                   java.util.Map<java.lang.String,​?> options)
                                            throws java.io.IOException

      Specified by:
        `read` in interface `org.apache.maven.model.io.ModelReader`
      Throws:
        `java.io.IOException`

    - #### read

          public org.apache.maven.model.Model read​(java.io.InputStream input,
                                                   java.util.Map<java.lang.String,​?> options)
                                            throws java.io.IOException

      Specified by:
        `read` in interface `org.apache.maven.model.io.ModelReader`
      Throws:
        `java.io.IOException`